SynapSynapDocs
Hub REST API

Calendar

The Calendar operations of the Hub REST API (4 operations).

For BuildersOpen-source podSynap CloudGenerated from Synap-core/backend@c31e261ab (main)
GET
/calendar/feed

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Response Body

Feed status

application/json
  1. response
hasToken*boolean
tokenPrefix*string|null
createdAt*string|null
lastAccessedAt*string|null
Example Request
curl -X GET 'https://pod.example.com/api/hub/calendar/feed'
Example Response
{  "hasToken": true,  "tokenPrefix": "string",  "createdAt": "string",  "lastAccessedAt": "string"}
POST
/calendar/feed

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Response Body

Feed URLs

application/json
  1. response
url*string
webcalUrl*string
Example Request
curl -X POST 'https://pod.example.com/api/hub/calendar/feed'
Example Response
{  "url": "string",  "webcalUrl": "string"}
POST
/calendar/feed/rotate

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Response Body

New feed URLs

application/json
  1. response
url*string
webcalUrl*string
Example Request
curl -X POST 'https://pod.example.com/api/hub/calendar/feed/rotate'
Example Response
{  "url": "string",  "webcalUrl": "string"}
GET
/calendar/feed/{token}.ics

Response Body

text/calendar body

Example Request
curl -X GET 'https://pod.example.com/api/hub/calendar/feed/{token}.ics'
Example Response
Empty